## flare 0.9.6

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 0.9.6
Date: 2012-11-25
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.14), lattice, igraph, MASS, Matrix
Description: The package "flare" provides the implementation of a
        family of Lasso variants including Dantzig Selector, LAD Lasso,
        SQRT Lasso, Lq Lasso for estimating high dimensional sparse
        linear model. We adopt the alternating direction method of
        multipliers and convert the original optimization problem into
        a sequential L1 penalized least square minimization problem,
        which can be efficiently solved by combining the linearization
        and the efficient coordinate descent algorithm. The computation
        is memory-optimized using the sparse matrix output. Besides the
        sparse linear model estimation, we also provide the extension
        of these Lasso variants to sparse Gaussian graphical model
        estimation including TIGER and CLIME using either L1 or
        adaptive penalty.
License: GPL-2
Repository: CRAN
Packaged: 2012-11-27 04:52:50 UTC; leo
Date/Publication: 2012-11-27 17:50:59

## flare 0.9.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Package: flare
 Type: Package
 Title: Family of Lasso Regression
-Version: 0.9.6
-Date: 2012-11-25
+Version: 0.9.7
+Date: 2012-11-28
 Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
 Maintainer: Xingguo Li <xingguo.leo@gmail.com>
-Depends: R (>= 2.14), lattice, igraph, MASS, Matrix
+Depends: R (>= 2.15.0), lattice, igraph, MASS, Matrix
 Description: The package "flare" provides the implementation of a
         family of Lasso variants including Dantzig Selector, LAD Lasso,
         SQRT Lasso, Lq Lasso for estimating high dimensional sparse
@@ -21,5 +21,5 @@
         adaptive penalty.
 License: GPL-2
 Repository: CRAN
-Packaged: 2012-11-27 04:52:50 UTC; leo
-Date/Publication: 2012-11-27 17:50:59
+Packaged: 2012-11-30 18:38:19 UTC; admin-118
+Date/Publication: 2012-11-30 18:38:51

## flare 0.9.8

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 0.9.8
Date: 2013-01-26
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, igraph, MASS, Matrix
Description: The package "flare" provides the implementation of a
        family of Lasso variants including Dantzig Selector, LAD Lasso,
        SQRT Lasso, Lq Lasso for estimating high dimensional sparse
        linear model. For Dantzig selector and Lq Lasso, we adopt the
        alternating direction method of multipliers (ADMM) and convert
        the original optimization problem into a sequential L1
        penalized least square minimization problem, which can be
        efficiently solved by combining the linearization and the
        efficient coordinate descent algorithm. For LAD and SQRT Lasso,
        we adopt the combination of the dual smoothing and monotone
        fast iterative soft-thresholding algorithm (MFISTA). The
        computation is memory-optimized using the sparse matrix output.
        Besides the sparse linear model estimation, we also provide the
        extension of these Lasso variants to sparse Gaussian graphical
        model estimation including TIGER and CLIME (ADMM) using either
        L1 or adaptive L1 penalty.
License: GPL-2
Repository: CRAN
Packaged: 2013-01-27 05:33:23 UTC; leo
Date/Publication: 2013-01-27 08:13:22

## flare 0.9.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: flare
 Type: Package
 Title: Family of Lasso Regression
-Version: 0.9.8
-Date: 2013-01-26
+Version: 0.9.9
+Date: 2013-03-31
 Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
 Maintainer: Xingguo Li <xingguo.leo@gmail.com>
 Depends: R (>= 2.15.0), lattice, igraph, MASS, Matrix
@@ -24,5 +24,6 @@
         L1 or adaptive L1 penalty.
 License: GPL-2
 Repository: CRAN
-Packaged: 2013-01-27 05:33:23 UTC; leo
-Date/Publication: 2013-01-27 08:13:22
+Packaged: 2013-04-01 13:12:11 UTC; admin-118
+NeedsCompilation: yes
+Date/Publication: 2013-04-01 15:52:29

## flare 0.14.1

=== build/CMakeLists.txt ===
Project (Flare)
cmake_minimum_required (VERSION 2.6)

set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${PROJECT_SOURCE_DIR}/..)

Set (PACKAGE "FLARE")
Set (VERSION "0.13")


# Detect missing dependencies

Find_Package (SDL REQUIRED)
If (NOT SDL_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl1.2-dev' package.")
Else (NOT SDL_FOUND)
  Include_Directories (${SDL_INCLUDE_DIR})
EndIf (NOT SDL_FOUND)

Find_Package (SDL_mixer REQUIRED)
If (NOT SDLMIXER_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL-mixer development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl-mixer1.2-dev' package.")
Else (NOT SDLMIXER_FOUND)
  Include_Directories (${SDLMIXER_INCLUDE_DIR})
EndIf (NOT SDLMIXER_FOUND)

Find_Package (SDL_image REQUIRED)
If (NOT SDLIMAGE_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL-image development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl-image1.2-dev' package.")
Else (NOT SDLIMAGE_FOUND)
  Include_Directories (${SDLIMAGE_INCLUDE_DIR})
EndIf (NOT SDLIMAGE_FOUND)


# Sources

Set (FLARE_SOURCES 
	../src/Entity.cpp
	../src/Animation.cpp
	../src/Avatar.cpp
	../src/CampaignManager.cpp
	../src/Enemy.cpp
	../src/EnemyGroupManager.cpp
	../src/EnemyManager.cpp
	../src/FileParser.cpp
	../src/FontEngine.cpp
	../src/GameState.cpp
	../src/GameStateTitle.cpp
	../src/GameStateLoad.cpp
	../src/GameStatePlay.cpp
	../src/GameStateNew.cpp
	../src/GameSwitcher.cpp
	../src/Hazard.cpp
	../src/HazardManager.cpp
	../src/InputState.cpp
	../src/ItemDatabase.cpp
	../src/ItemStorage.cpp
	../src/LootManager.cpp
	../src/MapCollision.cpp
	../src/MapIso.cpp
	../src/Menu.cpp
	../src/MenuActionBar.cpp
	../src/MenuCharacter.cpp
	../src/MenuEnemy.cpp
	../src/MenuExit.cpp
	../src/MenuExperience.cpp
	../src/MenuHPMP.cpp
	../src/MenuHUDLog.cpp
	../src/MenuInventory.cpp
	../src/MenuItemStorage.cpp
	../src/MenuLog.cpp
	../src/MenuManager.cpp
	../src/MenuMiniMap.cpp
	../src/MenuPowers.cpp
	../src/MenuTalker.cpp
	../src/MenuTooltip.cpp
	../src/MenuVendor.cpp
	../src/NPC.cpp
	../src/NPCManager.cpp
	../src/PowerManager.cpp
	../src/QuestLog.cpp
	../src/SaveLoad.cpp
	../src/Settings.cpp
	../src/StatBlock.cpp
	../src/TileSet.cpp
	../src/Utils.cpp
	../src/UtilsParsing.cpp
	../src/WidgetButton.cpp
	../src/WidgetInput.cpp
	../src/main.cpp
)

Add_Executable (flare ${FLARE_SOURCES})
Target_Link_Libraries (flare ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${SDLIMAGE_LIBRARY} SDLmain)

=== debian/changelog ===
flare (0.14.1-3) unstable; urgency=low

  * Disabling the override of dh_fixperms at the moment, it doesn't
    seem to work on buildd machines.  Better a lintian warning that
    not being able to build in all architectures...

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 14:26:07 +0100

flare (0.14.1-2) unstable; urgency=low

  * Simplifying debian/rules by using specific flags controlling the
    directories to use for building.
  * Fixing in debian/rules the way to remove executable permissions to
    a PNG file, so it doesn't break on buildd machines (it was working
    fine in pbuilder, though).
  * Disabled the automatic re-generation of the single man page, the
    man page is already provided in its proper form and can be
    regenerated from time to time -- no need for the added complexity
    of overriding dh_installman in debian/rules.  As a consequence,
    remove the xsltproc and docbook-* build-deps (XML is not being
    used for anything else).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 14:26:09 +0100

flare (0.14.1-1) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * Initial release (Closes: #622288)
  * Added CC-BY-SA text to debian/copyright
  * This is my first Debian package :)

  [ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
  * Recompressed the original tarball as .xz, goes down from ~120MB to
    ~78MB of space
  * Created a separate package for data
  * Minor modifications to the rules file to improve some commands
    (e.g. the way to clean/remove files)
  * Added .desktop file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 18 Oct 2011 18:49:56 +0200

=== debian/control ===
Source: flare
Section: games
Priority: optional
Maintainer: Jan-Hendrik Peters <hennr@hennr.name>
Uploaders: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake (>= 2.6), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.2
Homepage: http://clintbellanger.net/rpg/
Vcs-Git: git://github.com/hennr/debian-flare.git
Vcs-Browser: https://github.com/hennr/debian-flare

Package: flare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flare-data (= ${source:Version})
Description: single-player 2D action role-playing game
 This fantasy dungeon crawl game is a proof of concept implementation of the
 Free Libre Action Roleplaying Engine (FLARE). FLARE a simple
 isometric-perspective action role-play game engine in the basic style of
 Diablo.
 .
 This package contains the binaries.

Package: flare-data
Architecture: all
Depends: ${misc:Depends}
Recommends: flare (= ${source:Version})
Description: single-player 2D action role-playing game
 This fantasy dungeon crawl game is a proof of concept implementation of the
 Free Libre Action Roleplaying Engine (FLARE). FLARE a simple
 isometric-perspective action role-play game engine in the basic style of
 Diablo.
 .
 This package contains the data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
#	mafm 20111021 -- 'dh --sourcedirectory' because CMakeLists.txt
#	is in there
	dh $@ --buildsystem=cmake --parallel --builddirectory=build --sourcedirectory=build


# mafm 20111021 -- unnecessary with 'dh --sourcedirectory', unless
# buildd machines need them

# override_dh_auto_configure:
# 	cd build && cmake .
#
# override_dh_auto_build:
# 	cd build && make
#
# override_dh_auto_clean:
# 	rm -rf build/CMakeFiles/ build/CMakeCache.txt build/cmake_install.cmake build/Makefile
# 	rm -f flare
# 	dh_auto_clean


# mafm 20111021 -- man page can be regenerated from time to time, no
# need for this override dh_installman and use xsltproc every time
# (and so we save a few build-depends as well, XML is not used for
# anything else)

# override_dh_installman:
# 	xsltproc --nonet \
# 		--param make.year.ranges 1 \
# 		--param make.single.year.ranges 1 \
# 		--param man.charmap.use.subset 0 \
# 		-o debian/ \
# 		http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
# 		debian/flare.1.xml
# 	dh_installman

# mafm 20111022 -- breaks on buildd machines, disabling chmod at the
# moment -- better a lintian warning that not building at all...

override_dh_fixperms:
	dh_fixperms
# #	wrong upstream repo perms set, already reported and fixed in 0.15
# 	chmod -v a-x $(shell find debian -executable -name \*.png)

#	used for "debugging", so it prints the location of the
#	"offending" files in the build log
	find -executable -name \*.png

## flare 0.15.1

=== CMakeLists.txt ===
Project (Flare)
cmake_minimum_required (VERSION 2.6)

Set (PACKAGE "FLARE")
Set (VERSION "0.15")


# Default definitions
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused -Wshadow -Woverloaded-virtual")
if(CMAKE_BUILD_TYPE STREQUAL "Release")
  set(CMAKE_CXX_FLAGS_RELEASE "-O2 -g0")
elseif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
  set(CMAKE_CXX_FLAGS_RELWITHDEBINFO "-O2 -g")
elseif(CMAKE_BUILD_TYPE STREQUAL "MinSizeRel")
  set(CMAKE_CXX_FLAGS_MINSIZEREL "-Os -g0")
elseif(CMAKE_BUILD_TYPE STREQUAL "Debug")
  set(CMAKE_CXX_FLAGS_DEBUG "-O0 -g3 -pg")
  set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg")
  set(CMAKE_SHARED_LINKER_FLAGS_DEBUG "-pg")
  set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-pg")
endif()

set(BINDIR  "games"             CACHE STRING "where to install game binary")
set(DATADIR "share/games/flare" CACHE STRING "where to install game data")

add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")

# Detect missing dependencies

Find_Package (SDL REQUIRED)
If (NOT SDL_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl1.2-dev' package.")
Else (NOT SDL_FOUND)
  Include_Directories (${SDL_INCLUDE_DIR})
EndIf (NOT SDL_FOUND)

Find_Package (SDL_mixer REQUIRED)
If (NOT SDLMIXER_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL-mixer development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl-mixer1.2-dev' package.")
Else (NOT SDLMIXER_FOUND)
  Include_Directories (${SDLMIXER_INCLUDE_DIR})
EndIf (NOT SDLMIXER_FOUND)

Find_Package (SDL_image REQUIRED)
If (NOT SDLIMAGE_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL-image development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl-image1.2-dev' package.")
Else (NOT SDLIMAGE_FOUND)
  Include_Directories (${SDLIMAGE_INCLUDE_DIR})
EndIf (NOT SDLIMAGE_FOUND)

Find_Package (SDL_ttf REQUIRED)
If (NOT SDLTTF_FOUND)
  Message (FATAL_ERROR "Couldn't find SDL-ttf development files. On Debian-based systems (such as Ubuntu) you should install the 'libsdl-ttf2.0-dev' package.")
Else (NOT SDLTTF_FOUND)
  Include_Directories (${SDLTTF_INCLUDE_DIR})
EndIf (NOT SDLTTF_FOUND)


# Sources

Set (FLARE_SOURCES 
	./src/Entity.cpp
	./src/Animation.cpp
	./src/Avatar.cpp
	./src/CampaignManager.cpp
	./src/Enemy.cpp
	./src/EnemyGroupManager.cpp
	./src/EnemyManager.cpp
	./src/FileParser.cpp
	./src/FontEngine.cpp
	./src/GameState.cpp
	./src/GameStateTitle.cpp
	./src/GameStateLoad.cpp
	./src/GameStatePlay.cpp
	./src/GameStateNew.cpp
	./src/GameSwitcher.cpp
	./src/GetText.cpp
	./src/Hazard.cpp
	./src/HazardManager.cpp
	./src/InputState.cpp
	./src/ItemManager.cpp
	./src/ItemStorage.cpp
	./src/LootManager.cpp
	./src/MapCollision.cpp
	./src/MapIso.cpp
	./src/Menu.cpp
	./src/MenuActionBar.cpp
	./src/MenuCharacter.cpp
	./src/MenuConfirm.cpp
	./src/MenuEnemy.cpp
	./src/MenuExit.cpp
	./src/MenuExperience.cpp
	./src/MenuHPMP.cpp
	./src/MenuHUDLog.cpp
	./src/MenuInventory.cpp
	./src/MenuItemStorage.cpp
	./src/MenuLog.cpp
	./src/MenuManager.cpp
	./src/MenuMiniMap.cpp
	./src/MenuPowers.cpp
	./src/MenuTalker.cpp
	./src/MenuVendor.cpp
	./src/MessageEngine.cpp
	./src/ModManager.cpp
	./src/NPC.cpp
	./src/NPCManager.cpp
	./src/PowerManager.cpp
	./src/QuestLog.cpp
	./src/SaveLoad.cpp
	./src/Settings.cpp
	./src/SharedResources.cpp
	./src/StatBlock.cpp
	./src/TileSet.cpp
	./src/Utils.cpp
	./src/UtilsFileSystem.cpp
	./src/UtilsParsing.cpp
	./src/WidgetButton.cpp
	./src/WidgetInput.cpp
	./src/WidgetLabel.cpp
	./src/WidgetTooltip.cpp
	./src/main.cpp
)

# Add icon and file info to executable for Windows systems
IF (WIN32)
  SET(FLARE_SOURCES 
    ${FLARE_SOURCES}
    ./src/Flare.rc
    )
ENDIF (WIN32)

Add_Executable (flare ${FLARE_SOURCES})

# libSDLMain comes with libSDL if needed on certain platforms
If (NOT SDLMAIN_LIBRARY)
  Set (SDLMAIN_LIBRARY "")
EndIf (NOT SDLMAIN_LIBRARY)

Target_Link_Libraries (flare ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${SDLIMAGE_LIBRARY} ${SDLTTF_LIBRARY} ${SDLMAIN_LIBRARY})


set(FLARE_EXECUTABLE_PATH ${CMAKE_INSTALL_PREFIX}/${BINDIR}/flare)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop")


# installing to the proper places
install(PROGRAMS
  ${CMAKE_CURRENT_BINARY_DIR}/flare
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${BINDIR})
install(DIRECTORY
  "${CMAKE_CURRENT_SOURCE_DIR}/mods"
  DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATADIR})
install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
install(FILES
  "${CMAKE_CURRENT_SOURCE_DIR}/art_src/logo/flare_logo.svg"
  DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
  RENAME flare.svg)

=== debian/changelog ===
flare (0.15.1-1) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * New upstream release (Closes: #646455)
    - Imported Upstream version 0.15.1 [76cb190]
  * Added new build dependency: libsdl-ttf2.0-dev

  [ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
  * Remove stuff in debian/ now present upstream:
    - flare.desktop (now in distribution/flare.desktop.in)
    - flare-icon.png (installed by CMake from art_src/logo/flare_logo.svg), and
      debian/source/include-binaries (created because of this icon)
  * debian/rules:
    - No need for "override_dh_fixperms" with this upstream
    - Now it doesn't contain the master CMakeLists.txt on build, so no need for
      overrides to "dh_auto_configure", "dh_auto_build" or "dh_auto_clean"
      (already commented out); nor "--builddirectory=build" to the base "dh"
      template.
    - "override_dh_install" to include --fail-missing (to avoid not installing
      new files by mistake, in this package with the data changing so often)
  * debian/copyright: minor updates, e.g. changes to dir names and clarifying
    that files are under GPLv3/CC-BY-SAv3 or later (not just 3.0)
  * Update package descriptions (text taken from upstream's README)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 26 Dec 2011 22:12:48 +0000

flare (0.14.1-5) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * Correcting path to icon in the menu file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 15 Nov 2011 22:12:48 +0000

flare (0.14.1-4) unstable; urgency=low

  * Installing .desktop file in the proper directory, otherwise it doesn't work
  * Quell lintian warnings:
    - latest-debian-changelog-entry-without-new-date: fix date of entry for
      version 0.14.1-3, it was set to one hour too early and didn't notice any
      lintian warning before uploading
    - duplicate-short-description: Improving description of packages flare and
      flare-data

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 14 Nov 2011 19:48:16 +0000

=== debian/control ===
Source: flare
Section: games
Priority: optional
Maintainer: Jan-Hendrik Peters <hennr@hennr.name>
Uploaders: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake (>= 2.6), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.9.2
Homepage: http://clintbellanger.net/rpg/
Vcs-Git: git://github.com/hennr/debian-flare.git
Vcs-Browser: https://github.com/hennr/debian-flare

Package: flare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flare-data (= ${source:Version})
Description: single-player 2D action role-playing game, binary
 Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
 handle a very specific kind of game: single-player 2D action RPGs. Flare is not
 a reimplementation of an existing game or engine. It is a tribute to and
 exploration of the action RPG genre.
 .
 Rather than building a very abstract, robust game engine, the goal of this
 project is to build several real games and harvest an engine from the common,
 reusable code. The first game, in progress, is a fantasy dungeon crawl.
 .
 Flare uses simple file formats (INI style config files) for most of the game
 data, allowing anyone to easily modify game contents. Open formats are
 preferred (png, ogg). The game code is C++.
 .
 This package contains the binary.

Package: flare-data
Architecture: all
Depends: ${misc:Depends}
Recommends: flare (= ${source:Version})
Description: single-player 2D action role-playing game, data files
 Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
 handle a very specific kind of game: single-player 2D action RPGs. Flare is not
 a reimplementation of an existing game or engine. It is a tribute to and
 exploration of the action RPG genre.
 .
 Rather than building a very abstract, robust game engine, the goal of this
 project is to build several real games and harvest an engine from the common,
 reusable code. The first game, in progress, is a fantasy dungeon crawl.
 .
 Flare uses simple file formats (INI style config files) for most of the game
 data, allowing anyone to easily modify game contents. Open formats are
 preferred (png, ogg). The game code is C++.
 .
 This package contains the data files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel


override_dh_install:
	dh_install --fail-missing


# mafm 20111021 -- man page can be regenerated from time to time, no
# need for this override dh_installman and use xsltproc every time
# (and so we save a few build-depends as well, XML is not used for
# anything else)

# override_dh_installman:
# 	xsltproc --nonet \
# 		--param make.year.ranges 1 \
# 		--param make.single.year.ranges 1 \
# 		--param man.charmap.use.subset 0 \
# 		-o debian/ \
# 		http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl \
# 		debian/flare.1.xml
# 	dh_installman

=== debian/watch ===
version=3
http://githubredir.debian.net/github/clintbellanger/flare/v(.*).tar.gz

## flare 0.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,27 @@
 cmake_minimum_required (VERSION 2.6)
 
 Set (PACKAGE "FLARE")
-Set (VERSION "0.15")
+Set (VERSION "0.18")
 
 
 # Default definitions
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused -Wshadow -Woverloaded-virtual")
+if (NOT MSVC)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wunused -Wshadow -Woverloaded-virtual -Wunreachable-code")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-math-errno -fno-exceptions")
+  if (NOT CMAKE_CXX_COMPILER MATCHES "clang")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffast-math")
+  endif (NOT CMAKE_CXX_COMPILER MATCHES "clang")
+  set(CMAKE_LD_FLAGS "-fwhole-program")
+endif (NOT MSVC)
+
+if (CMAKE_CXX_COMPILER MATCHES "clang")
+  # clang needs lstdc++ linked explicitly:
+  set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} -lstdc++")
+elseif ()
+  # assume gcc:
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-enforce-eh-specs")
+endif ()
+
 if(CMAKE_BUILD_TYPE STREQUAL "Release")
   set(CMAKE_CXX_FLAGS_RELEASE "-O2 -g0")
 elseif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
@@ -20,10 +36,14 @@
   set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-pg")
 endif()
 
-set(BINDIR  "games"             CACHE STRING "where to install game binary")
-set(DATADIR "share/games/flare" CACHE STRING "where to install game data")
-
-add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")
+set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
+set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")
+
+If(NOT IS_ABSOLUTE "${DATADIR}")
+	add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")
+Else(NOT IS_ABSOLUTE "${DATADIR}")
+	add_definitions(-DDATA_INSTALL_DIR="${DATADIR}")
+EndIf(NOT IS_ABSOLUTE "${DATADIR}")
 
 # Detect missing dependencies
 
@@ -58,17 +78,25 @@
 
 # Sources
 
-Set (FLARE_SOURCES 
+Set (FLARE_SOURCES
 	./src/Entity.cpp
 	./src/Animation.cpp
+	./src/AnimationManager.cpp
+	./src/AnimationSet.cpp
+	./src/AStarNode.cpp
 	./src/Avatar.cpp
+	./src/BehaviorStandard.cpp
 	./src/CampaignManager.cpp
+	./src/CombatText.cpp
+	./src/EffectManager.cpp
 	./src/Enemy.cpp
+	./src/EnemyBehavior.cpp
 	./src/EnemyGroupManager.cpp
 	./src/EnemyManager.cpp
 	./src/FileParser.cpp
 	./src/FontEngine.cpp
 	./src/GameState.cpp
+	./src/GameStateConfig.cpp
 	./src/GameStateTitle.cpp
 	./src/GameStateLoad.cpp
 	./src/GameStatePlay.cpp
@@ -77,27 +105,31 @@
 	./src/GetText.cpp
 	./src/Hazard.cpp
 	./src/HazardManager.cpp
+	./src/ImageManager.cpp
 	./src/InputState.cpp
 	./src/ItemManager.cpp
 	./src/ItemStorage.cpp
+	./src/Loot.cpp
 	./src/LootManager.cpp
 	./src/MapCollision.cpp
-	./src/MapIso.cpp
+	./src/MapRenderer.cpp
 	./src/Menu.cpp
 	./src/MenuActionBar.cpp
+	./src/MenuActiveEffects.cpp
 	./src/MenuCharacter.cpp
 	./src/MenuConfirm.cpp
 	./src/MenuEnemy.cpp
 	./src/MenuExit.cpp
-	./src/MenuExperience.cpp
-	./src/MenuHPMP.cpp
 	./src/MenuHUDLog.cpp
 	./src/MenuInventory.cpp
 	./src/MenuItemStorage.cpp
 	./src/MenuLog.cpp
 	./src/MenuManager.cpp
 	./src/MenuMiniMap.cpp
+	./src/MenuNPCActions.cpp
 	./src/MenuPowers.cpp
+	./src/MenuStash.cpp
+	./src/MenuStatBar.cpp
 	./src/MenuTalker.cpp
 	./src/MenuVendor.cpp
 	./src/MessageEngine.cpp
@@ -107,23 +139,33 @@
 	./src/PowerManager.cpp
 	./src/QuestLog.cpp
 	./src/SaveLoad.cpp
+	./src/SDL_gfxBlitFunc.c
 	./src/Settings.cpp
 	./src/SharedResources.cpp
 	./src/StatBlock.cpp
+	./src/SoundManager.cpp
 	./src/TileSet.cpp
 	./src/Utils.cpp
+	./src/UtilsDebug.cpp
 	./src/UtilsFileSystem.cpp
 	./src/UtilsParsing.cpp
+	./src/Widget.cpp
+	./src/WidgetCheckBox.cpp
 	./src/WidgetButton.cpp
 	./src/WidgetInput.cpp
-	./src/WidgetLabel.cpp
+ 	./src/WidgetLabel.cpp
+ 	./src/WidgetListBox.cpp
+	./src/WidgetScrollBar.cpp
+	./src/WidgetScrollBox.cpp
+	./src/WidgetSlider.cpp
+ 	./src/WidgetTabControl.cpp
 	./src/WidgetTooltip.cpp
 	./src/main.cpp
 )
 
 # Add icon and file info to executable for Windows systems
 IF (WIN32)
-  SET(FLARE_SOURCES 
+  SET(FLARE_SOURCES
     ${FLARE_SOURCES}
     ./src/Flare.rc
     )
@@ -136,24 +178,29 @@
   Set (SDLMAIN_LIBRARY "")
 EndIf (NOT SDLMAIN_LIBRARY)
 
-Target_Link_Libraries (flare ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${SDLIMAGE_LIBRARY} ${SDLTTF_LIBRARY} ${SDLMAIN_LIBRARY})
-
-
-set(FLARE_EXECUTABLE_PATH ${CMAKE_INSTALL_PREFIX}/${BINDIR}/flare)
+Target_Link_Libraries (flare ${CMAKE_LD_FLAGS} ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${SDLIMAGE_LIBRARY} ${SDLTTF_LIBRARY} ${SDLMAIN_LIBRARY})
+
+
+# desktop file
+If(NOT IS_ABSOLUTE "${BINDIR}")
+	set(FLARE_EXECUTABLE_PATH ${CMAKE_INSTALL_PREFIX}/${BINDIR}/flare)
+Else(NOT IS_ABSOLUTE "${BINDIR}")
+	set(FLARE_EXECUTABLE_PATH ${BINDIR}/flare)
+EndIf(NOT IS_ABSOLUTE "${BINDIR}")
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop")
 
 
 # installing to the proper places
 install(PROGRAMS
   ${CMAKE_CURRENT_BINARY_DIR}/flare
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/${BINDIR})
+  DESTINATION ${BINDIR})
 install(DIRECTORY
   "${CMAKE_CURRENT_SOURCE_DIR}/mods"
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATADIR})
+  DESTINATION ${DATADIR})
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
   DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES
-  "${CMAKE_CURRENT_SOURCE_DIR}/art_src/logo/flare_logo.svg"
+  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo.svg"
   DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
   RENAME flare.svg)

=== debian/changelog ===
flare (0.18-1) unstable; urgency=low

  [ Jan-Hendrik Peters ]
  * New upstream version 0.18

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.4 (no changes needed)
  * Change maintaner address
  * Remove obsolete "DM-Upload-Allowed: yes"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 08 May 2013 21:53:39 +0100

flare (0.17.1-1~exp1) experimental; urgency=low

  [ Jan-Hendrik Peters ]
  * New upstream version

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.3 (no changes needed)
  * debhelper compatibility level set to 9 (brings fortified builds and other
    goodies), dependencies change accordingly
  * Depending on fonts (liberation and unifont) rather than installing the
    embedded ones
  * Review of debian/copyright for the new version, documenting licenses of
    included fonts, updating URLs, copyright file format
  * Updated watch file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 28 Dec 2012 00:44:42 +0000

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 override_dh_install:
-	dh_install --fail-missing
+	dh_install --fail-missing -X*.ttf
 
 
 # mafm 20111021 -- man page can be regenerated from time to time, no

## flare 0.19

=== debian/changelog ===
flare (0.19-1) unstable; urgency=medium

  * New upstream release (Closes: #734742)
  * Convert to meta-packages to depend on new package names brought with
    version 0.19, due to the separation of engine and game data (Closes:
    #742062, #762976).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 27 Sep 2014 19:34:14 +0100

=== debian/watch ===
version=3
https://github.com/clintbellanger/flare-game/tags .*/v(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)
#http://githubredir.debian.net/github/clintbellanger/flare-game v(.*).tar.gz
#https://github.com/clintbellanger/flare-game/downloads flare.*_(\d[\d\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))|zip)

## flare 1.0.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.0.0
Date: 2013-08-25
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, igraph, MASS, Matrix
Description: The package "flare" provides the implementation of a family of high-dimensional Lasso regression based machine learning toolkits, including a family of various Lasso regression and sparse Gaussian graphical model estimation. Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso for estimating high dimensional sparse linear model. The sparse Gaussian graphical model estimation includes TIGER and CLIME using L1 penalty. We adopt the combination of the dual smoothing and monotone fast iterative soft-thresholding algorithm (MFISTA). The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
Packaged: 2013-08-27 14:41:03 UTC; leo
NeedsCompilation: yes
Date/Publication: 2013-08-27 17:02:04

## flare 1.1.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.1.0
Date: 2014-03-12
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, MASS, Matrix
Suggests: igraph
Description: The package "flare" provides the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. The computation is memory-optimized using the sparse matrix output.
License: GPL-2
Repository: CRAN
Packaged: 2014-03-13 00:57:23 UTC; xingguo
NeedsCompilation: yes
Date/Publication: 2014-03-13 08:05:19

## flare 1.2.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.2.0
Date: 2014-03-30
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, MASS, Matrix
Suggests: igraph
Description: The package "flare" provides the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
Packaged: 2014-03-30 14:52:51 UTC; xingguo
NeedsCompilation: yes
Date/Publication: 2014-03-30 17:39:44

## flare 1.3.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.3.0
Date: 2014-04-25
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, MASS, Matrix
Suggests: igraph
Description: The package "flare" provides the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
Packaged: 2014-04-24 14:55:14 UTC; xingguo
NeedsCompilation: yes
Date/Publication: 2014-04-26 07:09:17

## flare 1.4.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.4.0
Date: 2014-07-09
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, MASS, Matrix
Suggests: igraph
Description: The package "flare" provides the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
Packaged: 2014-07-09 04:22:43 UTC; xingguo
NeedsCompilation: yes
Date/Publication: 2014-07-09 08:19:26

## flare 1.5.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.5.0
Date: 2014-10-18
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Description: The package "flare" provides the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
Packaged: 2014-10-18 21:32:34 UTC; xingguo
NeedsCompilation: yes
Date/Publication: 2014-10-19 01:53:12

## flare 1.6.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.6.0
Date: 2018-03-21
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan, and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Imports: methods
Description: Provide the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
Packaged: 2018-03-24 16:13:43 UTC; maomao-xingguo
Date/Publication: 2018-03-25 15:01:28 UTC

## flare 1.6.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: flare
 Type: Package
 Title: Family of Lasso Regression
-Version: 1.6.0
+Version: 1.6.0.1
 Date: 2018-03-21
 Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan, and Han Liu
 Maintainer: Xingguo Li <xingguo.leo@gmail.com>
@@ -11,5 +11,5 @@
 License: GPL-2
 Repository: CRAN
 NeedsCompilation: yes
-Packaged: 2018-03-24 16:13:43 UTC; maomao-xingguo
-Date/Publication: 2018-03-25 15:01:28 UTC
+Packaged: 2019-07-02 07:04:17 UTC; ripley
+Date/Publication: 2019-07-02 09:34:36

## flare 1.6.0.2

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.6.0.2
Date: 2018-03-21
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan, and Han Liu
Maintainer: ORPHANED
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Imports: methods
Description: Provide the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
Packaged: 2019-08-02 12:56:57 UTC; hornik
Date/Publication: 2019-08-02 12:59:57 UTC
X-CRAN-Original-Maintainer: Xingguo Li <xingguo.leo@gmail.com>
X-CRAN-Comment: Orphaned and corrected on 2019-07-02 as misuse of
        package= for PACKAGE= was not corrected despite reminder.  More
        corrections on 2019-08-02.

## flare 1.7.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.7.0
Date: 2020-11-28
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan, and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Imports: methods
Description: Provide the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. For more information, please refer to <https://www.jmlr.org/papers/volume16/li15a/li15a.pdf>.
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
Packaged: 2020-11-30 18:10:54 UTC; maomao-xingguo
Date/Publication: 2020-12-01 00:30:16 UTC

## flare 1.7.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: flare
 Type: Package
 Title: Family of Lasso Regression
-Version: 1.7.0
+Version: 1.7.0.1
 Date: 2020-11-28
 Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan, and Han Liu
 Maintainer: Xingguo Li <xingguo.leo@gmail.com>
@@ -11,5 +11,5 @@
 License: GPL-2
 Repository: CRAN
 NeedsCompilation: yes
-Packaged: 2020-11-30 18:10:54 UTC; maomao-xingguo
-Date/Publication: 2020-12-01 00:30:16 UTC
+Packaged: 2022-05-23 07:35:38 UTC; hornik
+Date/Publication: 2022-05-23 08:02:21 UTC

## flare 1.7.0.2

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.7.0.2
Date: 2020-11-28
Authors@R: c(person(given = "Xingguo",
                    family = "Li",
                    role = c("aut", "cre"),
                    email = "xingguo.leo@gmail.com"),
             person(given = "Tuo",
                    family = "Zhao",
                    role = "aut"),
             person(given = "Lie",
                    family = "Wang",
                    role = "aut"),
             person(given = "Xiaoming",
                    family = "Yuan",
                    role = "aut"),
             person(given = "Han",
                    family = "Liu",
                    role = "aut"))
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Imports: methods
Description: Provide the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. For more information, please refer to <https://www.jmlr.org/papers/volume16/li15a/li15a.pdf>.
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
Packaged: 2024-11-04 17:49:37 UTC; hornik
Date/Publication: 2024-11-04 18:35:27 UTC
Author: Xingguo Li [aut, cre],
  Tuo Zhao [aut],
  Lie Wang [aut],
  Xiaoming Yuan [aut],
  Han Liu [aut]
Maintainer: Xingguo Li <xingguo.leo@gmail.com>

## flare 1.8

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.8
Date: 2026-02-19
Authors@R: c(person(given = "Xingguo",
                    family = "Li",
                    role = "aut",
                    email = "xingguo.leo@gmail.com"),
             person(given = "Tuo",
                    family = "Zhao",
                    role = c("aut", "cre"),
                    email = "tourzhao@gatech.edu"),
             person(given = "Lie",
                    family = "Wang",
                    role = "aut"),
             person(given = "Xiaoming",
                    family = "Yuan",
                    role = "aut"),
             person(given = "Han",
                    family = "Liu",
                    role = "aut"))
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Imports: methods
Suggests: testthat (>= 3.0.0)
Description: Provides implementations of a family of Lasso variants,
    including Dantzig Selector, LAD Lasso, SQRT Lasso, and Lq Lasso, for
    estimating high-dimensional sparse linear models. We adopt the
    alternating direction method of multipliers and convert the original
    optimization problem into a sequence of L1-penalized least-squares
    minimization problems that are efficiently solved by linearization and
    multi-stage screening. In addition to sparse linear model estimation, we
    provide extensions of these methods to sparse Gaussian graphical model
    estimation, including TIGER and CLIME, using either L1 or adaptive
    penalties. Missing values can be tolerated for Dantzig selector and
    CLIME. Computation is memory-optimized using sparse matrix output. For
    more information, see
    <https://www.jmlr.org/papers/volume16/li15a/li15a.pdf>.
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
Packaged: 2026-02-19 04:24:51 UTC; tourzhao
Date/Publication: 2026-02-19 14:30:02 UTC
Author: Xingguo Li [aut],
  Tuo Zhao [aut, cre],
  Lie Wang [aut],
  Xiaoming Yuan [aut],
  Han Liu [aut]
Maintainer: Tuo Zhao <tourzhao@gatech.edu>
Config/testthat/edition: 3

## flare capa-9.1.0

=== requirements.txt ===
# Dependencies with specific version constraints
# used during development and building the standalone executables.
# For these environments, use `pip install -r requirements.txt`
# before installing capa from source/pypi. This will ensure
# the following specific versions are used.
#
# Initially generated via: pip freeze | grep -v -- "-e"
# Kept up to date by dependabot.
annotated-types==0.7.0
colorama==0.4.6
cxxfilt==0.3.0
dncil==1.0.2
dnfile==0.15.0
funcy==2.0
humanize==4.10.0
ida-netnode==3.0
ida-settings==2.1.0
intervaltree==3.1.0
markdown-it-py==3.0.0
mdurl==0.1.2
msgpack==1.0.8
networkx==3.4.2
pefile==2024.8.26
pip==25.0
protobuf==5.29.3
pyasn1==0.5.1
pyasn1-modules==0.3.0
pycparser==2.22
pydantic==2.10.1
# pydantic pins pydantic-core, 
# but dependabot updates these separately (which is broken) and is annoying,
# so we rely on pydantic to pull in the right version of pydantic-core.
# pydantic-core==2.23.4
xmltodict==0.14.2
pyelftools==0.31
pygments==2.19.1
python-flirt==0.9.2
pyyaml==6.0.2
rich==13.9.2
ruamel-yaml==0.18.6
ruamel-yaml-clib==0.2.8
setuptools==75.8.0
six==1.17.0
sortedcontainers==2.4.0
viv-utils==0.8.0
vivisect==1.2.1
msgspec==0.19.0

=== web/rules/requirements.txt ===
pyyaml==6.0.2
pygments==2.18.0
-e ../..  # capa
